Subject: [Srcomp] CSID Analysis Section 3

From: "Darren Dukes (ddukes)" <[email-masked]>
Date: Mon, 12 Apr 2021 12:22:16 +0000

Below is the analysis of the Section 3 requirements for CSID

Section 3.1 SRv6 Based
   +-----------+------+
   |           | CSID |
   +-----------+------+
   | U.RFC8402 | Yes  |
   | U.RFC8754 | Yes  |
   |           |      |
   | U.PGM     | Yes  |
   |           |      |
   | U.IGP     | Yes  |
   |           |      |
   | U.BGP     | Yes  |
   | U.POL     | Yes  |
   | U.BLS     | Yes  |
   | U.SVC     | Yes  |
   | U.ALG     | Yes  |
   | U.OAM     | Yes  |
   +-----------+------+

Section 3.2.1 SRv6 Functionality
+---------+-----------------+
|         | CSID            |
+---------+-----------------+
| F.SID   | RFC8402         |
| F.Scope | RFC8402         |
| F.PFX   | RFC8402,        |
|         | IDNETPGM,       |
|         | IDCSID adds a   |
|         | END SID flavor  |
| F.ADJ   | RFC8402,        |
|         | IDNETPGM,       |
|         | IDCSID adds an  |
|         | END.X flavor    |
| F.BIND  | RFC8402,        |
|         | IDNETPGM        |
|         |                 |
|         |                 |
| F.PEER  | RFC8402,        |
|         | IDNETPGM, adds  |
|         | new END.X.      |
|         | flavors         |
| F.SVC   | IDNETPGM        |
|         |                 |
|         |                 |
|         |                 |
| F.ALG   | IDFLEXALG       |
| F.TILFA | IDTILFA         |
| F.SEC   | RFC8754         |
| F.IGP   | IDEXT           |
|         |                 |
| F.BGP   | IDBGPSVC        |
| F.POL   | IDSRPOL         |
| F.BLS   | IDBGPLS         |
|         |                 |
|         |                 |
| F.SFC   | IDSVCP          |
| F.PING  | IDOAM           |
+---------+-----------------+

Section 3.2.2 Heterogeneous SID Lists
+---------------+------+
|               | CSID |
+---------------+------+
| Heterogeneous | Yes  |
| SID Lists     |      |
|               |      |
|               |      |
|               |      |
+---------------+------+

3.2.3.  SID List Length

+-------------+------+
|             | CSID |
+-------------+------+
| 16 Segments | Yes  |
+-------------+------+

3.2.4.  SID Summarization

+-------------------+------+
|                   | CSID |
+-------------------+------+
| SID Summarization | Yes  |
+-------------------+------+

Darren